Debian Bug report logs - #604681
xfce4-diskperf-plugin: Please add armhf support

version graph

Package: src:xfce4-diskperf-plugin; Maintainer for src:xfce4-diskperf-plugin is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 23 Nov 2010 13:42:01 UTC

Severity: important

Tags: patch

Fixed in version xfce4-diskperf-plugin/2.3.0-1

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#604681; Package src:xfce4-diskperf-plugin. (Tue, 23 Nov 2010 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 23 Nov 2010 13:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xfce4-diskperf-plugin: Please add armhf support
Date: Tue, 23 Nov 2010 15:26:34 +0000
[Message part 1 (text/plain, inline)]
Source: xfce4-diskperf-plugin
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch.

Please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[xfce4-diskperf-plugin-armhf.diff (text/x-diff, attachment)]

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#604681; Package src:xfce4-diskperf-plugin. (Thu, 24 Feb 2011 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 24 Feb 2011 21:03:04 GMT) Full text and rfc822 format available.

Message #12 received at 604681@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>
Cc: 604681@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Processing of xfce4-diskperf-plugin_2.2.0-3.1_amd64.changes
Date: Thu, 24 Feb 2011 22:01:00 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-02-24 at 19:32 +0000, Debian FTP Masters wrote:
> xfce4-diskperf-plugin_2.2.0-3.1_amd64.changes uploaded successfully to
> localhost
> along with the files:
>   xfce4-diskperf-plugin_2.2.0-3.1.dsc
>   xfce4-diskperf-plugin_2.2.0-3.1.diff.gz
>   xfce4-diskperf-plugin_2.2.0-3.1_amd64.deb
> 
> Greetings,
> 
>         Your Debian queue daemon (running on host franck.debian.org)

Ok I'm pissed off. Could you please tell us why you're uploading an NMU
without any warning? Fwiw we are currently in the process of upgrading
to 4.8 and this kind of unannounced/unsynchronized upload is not exactly
welcome.

We will fix that bug, in due time, sorry if it doesn't fit your agenda.

Oh and by the way it's *already* fixed in our svn, waiting for the 4.8
xfce4-panel in experimental to be built, and we would have told you
that, should you have asked on the bug.

Friendly,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#604681; Package src:xfce4-diskperf-plugin. (Thu, 24 Feb 2011 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 24 Feb 2011 22:51:05 GMT) Full text and rfc822 format available.

Message #17 received at 604681@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 604681@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Processing of xfce4-diskperf-plugin_2.2.0-3.1_amd64.changes
Date: Fri, 25 Feb 2011 00:49:22 +0200
[Message part 1 (text/plain, inline)]
On 24 February 2011 23:01, Yves-Alexis Perez <corsac@debian.org> wrote:

> On Thu, 2011-02-24 at 19:32 +0000, Debian FTP Masters wrote:
> > xfce4-diskperf-plugin_2.2.0-3.1_amd64.changes uploaded successfully to
> > localhost
> > along with the files:
> >   xfce4-diskperf-plugin_2.2.0-3.1.dsc
> >   xfce4-diskperf-plugin_2.2.0-3.1.diff.gz
> >   xfce4-diskperf-plugin_2.2.0-3.1_amd64.deb
> >
> > Greetings,
> >
> >         Your Debian queue daemon (running on host franck.debian.org)
>
> Ok I'm pissed off. Could you please tell us why you're uploading an NMU
> without any warning? Fwiw we are currently in the process of upgrading
> to 4.8 and this kind of unannounced/unsynchronized upload is not exactly
> welcome.
>
> I'm sorry you are pissed off. We did announce the NMU:

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=7;bug=604681

I saw some people responded to that and fixed their bugs. We even allowed
for more time
than was originally announced (10 days instead of one week). And anyway it's
uploaded
to DELAYED/3 for that very possibility that you may want to upload your own
version. I see
no reason to complain really, we are at the Debian Sprint [1] and it was the
consensus here
that we did everything in the proper way -we got even the ACK from a former
ftp-master.


> We will fix that bug, in due time, sorry if it doesn't fit your agenda.
>

That's the very reason for NMUs.

>
> Oh and by the way it's *already* fixed in our svn, waiting for the 4.8
> xfce4-panel in experimental to be built, and we would have told you
> that, should you have asked on the bug.
>

We did sent an email, you could have just tagged the bug as pending upload
-like
so many other people have and we would not have touched the package. I would
suggest
reading the BTS manual again.

Regards

Konstantinos
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#604681; Package src:xfce4-diskperf-plugin. (Thu, 24 Feb 2011 23:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 24 Feb 2011 23:21:06 GMT) Full text and rfc822 format available.

Message #22 received at 604681@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 604681@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Processing of xfce4-diskperf-plugin_2.2.0-3.1_amd64.changes
Date: Fri, 25 Feb 2011 01:18:00 +0200
On 25 February 2011 00:49, Konstantinos Margaritis
<markos@genesi-usa.com> wrote:
> We did sent an email, you could have just tagged the bug as pending upload -like
> so many other people have and we would not have touched the package. I would suggest
> reading the BTS manual again.

In any case we'll remove the upload. Our cause was never to piss off
anyone but to fix a bug.
Yours was just another bug in a list [1], that was not tagged pending upload.

Konstantinos

PS. But please consider uploading a fixed version soon.

[1] http://wiki.debian.org/ArmHardFloatTodo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#604681; Package src:xfce4-diskperf-plugin. (Fri, 25 Feb 2011 07:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Fri, 25 Feb 2011 07:15:07 GMT) Full text and rfc822 format available.

Message #27 received at 604681@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>
Cc: 604681@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Processing of xfce4-diskperf-plugin_2.2.0-3.1_amd64.changes
Date: Fri, 25 Feb 2011 08:12:38 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-02-25 at 00:49 +0200, Konstantinos Margaritis wrote:

> >
> > I'm sorry you are pissed off. We did announce the NMU:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=7;bug=604681

The maintainers aren't CC:ed on this mail.
> 
> I saw some people responded to that and fixed their bugs. We even allowed
> for more time
> than was originally announced (10 days instead of one week). And anyway it's
> uploaded
> to DELAYED/3 for that very possibility that you may want to upload your own
> version. I see
> no reason to complain really, we are at the Debian Sprint [1] and it was the
> consensus here
> that we did everything in the proper way -we got even the ACK from a former
> ftp-master.
> 
> 
> > We will fix that bug, in due time, sorry if it doesn't fit your agenda.
> >
> 
> That's the very reason for NMUs.

Sorry but no. NMUs are usually perfectly fine, except when they disturb
the packaging team, which _is_ the case right now.

> We did sent an email, you could have just tagged the bug as pending upload
> -like
> so many other people have and we would not have touched the package. I would
> suggest
> reading the BTS manual again.

The upload will be pending when xfce4-panel will be built on the various
arches. Reading the BTS manual is fine, but next time please remember to
CC: the maintainers when you mail something to the bug, since it's not
done automagically.


On Fri, 2011-02-25 at 01:18 +0200, Konstantinos Margaritis wrote:
On 25 February 2011 00:49, Konstantinos Margaritis

> In any case we'll remove the upload. Our cause was never to piss off
> anyone but to fix a bug.

I didn't (and don't) imply you did that on purpose to piss us off (sorry
if you took it that way). Working on bugs is fine, adding a new arch is
(I guess) fine. It's just that it's not the good moment. Post-squeeze
release is also the moment other people try do push new stuff, and in
our case that's a whole desktop environment.

> Yours was just another bug in a list [1], that was not tagged pending
upload.
> 
> Konstantinos
> 
> PS. But please consider uploading a fixed version soon.

Yes we will, but as I said that'll wait for xfce4-panel to be built
which in turns require some libs to get out of NEW.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#604681; Package src:xfce4-diskperf-plugin. (Sat, 26 Feb 2011 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sat, 26 Feb 2011 20:54:03 GMT) Full text and rfc822 format available.

Message #32 received at 604681@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 604681@bugs.debian.org
Cc: Yves-Alexis Perez <corsac@debian.org>
Subject: xfce4-diskperf-plugin: removed from upload queue
Date: Sat, 26 Feb 2011 20:50:06 +0000
Hello,

  Your package has been removed from the delayed upload queue.
  Please check if everything is fine.
  Apologies for inconveniences.

Have a nice day,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 27 Feb 2011 00:12:07 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sun, 27 Feb 2011 00:12:07 GMT) Full text and rfc822 format available.

Message #37 received at 604681-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 604681-close@bugs.debian.org
Subject: Bug#604681: fixed in xfce4-diskperf-plugin 2.3.0-1
Date: Sun, 27 Feb 2011 00:09:41 +0000
Source: xfce4-diskperf-plugin
Source-Version: 2.3.0-1

We believe that the bug you reported is fixed in the latest version of
xfce4-diskperf-plugin, which is due to be installed in the Debian FTP archive:

xfce4-diskperf-plugin_2.3.0-1.debian.tar.gz
  to main/x/xfce4-diskperf-plugin/xfce4-diskperf-plugin_2.3.0-1.debian.tar.gz
xfce4-diskperf-plugin_2.3.0-1.dsc
  to main/x/xfce4-diskperf-plugin/xfce4-diskperf-plugin_2.3.0-1.dsc
xfce4-diskperf-plugin_2.3.0-1_amd64.deb
  to main/x/xfce4-diskperf-plugin/xfce4-diskperf-plugin_2.3.0-1_amd64.deb
xfce4-diskperf-plugin_2.3.0.orig.tar.bz2
  to main/x/xfce4-diskperf-plugin/xfce4-diskperf-plugin_2.3.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604681@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated xfce4-diskperf-plugin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 27 Feb 2011 00:57:28 +0100
Source: xfce4-diskperf-plugin
Binary: xfce4-diskperf-plugin
Architecture: source amd64
Version: 2.3.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 xfce4-diskperf-plugin - disk performance display plugin for the Xfce4 panel
Closes: 604681
Changes: 
 xfce4-diskperf-plugin (2.3.0-1) experimental; urgency=low
 .
   [ Yves-Alexis Perez ]
   * New upstream release.
   * debian/control:
     - add build-dep on libxfcegui4-dev now that it's gone from
       xfce4-panel-dev dependencies.
     - update standards version to 3.9.1.
     - update debhelper build-dep to 7.0.50~ for overrides.
     - switch to linux-any architectures.                        closes: #604681
   * Switch to 3.0 (quilt) source format.
   * debian/rules:
     - switch to dh7 tiny rules.
     - pick {C,LD}FLAGS from dpkg-buildflags.
     - add hardening flags to {C,LD}FLAGS.
     - add -z,defs, --as-needed and -O1 to LFDLAGS.
 .
   [ Lionel Le Folgoc ]
   * debian/rules: clean up autogenerated files changed by xdt-autogen.
   * debian/control: add myself to Uploaders.
Checksums-Sha1: 
 671e75f36520b3c22d42e5e0f31fd7d04718321e 2309 xfce4-diskperf-plugin_2.3.0-1.dsc
 f771250a21b3e030622fe3717f70fe1367c69901 316597 xfce4-diskperf-plugin_2.3.0.orig.tar.bz2
 d3efd8703bd97ef9dd04779b53ee6ca0e306ba06 3750 xfce4-diskperf-plugin_2.3.0-1.debian.tar.gz
 2f669c113f730de4007c23c01325232a2a1f099b 60366 xfce4-diskperf-plugin_2.3.0-1_amd64.deb
Checksums-Sha256: 
 243b7d8d360abbba2a96692c0d10f89af5bb4bc9530726695a579b643cef9aed 2309 xfce4-diskperf-plugin_2.3.0-1.dsc
 d75e2cd846c784cba804c5cc7796964b3965c764003ca4c1751c68ff83e85793 316597 xfce4-diskperf-plugin_2.3.0.orig.tar.bz2
 16bfbcda2dc1474eb1158b58cd25b554132085c7335866a1ecc628069c9bd2f5 3750 xfce4-diskperf-plugin_2.3.0-1.debian.tar.gz
 cd4dcc83d455b2a3a5a521170cc63a4d9bc90a9420711ea97d68a669705899af 60366 xfce4-diskperf-plugin_2.3.0-1_amd64.deb
Files: 
 3bf414d7bae7000920aeeef3088fc315 2309 xfce optional xfce4-diskperf-plugin_2.3.0-1.dsc
 c6ece8123c762ee203cbc6fd5450b503 316597 xfce optional xfce4-diskperf-plugin_2.3.0.orig.tar.bz2
 513c93b1f5d1848cbf60730c46825a08 3750 xfce optional xfce4-diskperf-plugin_2.3.0-1.debian.tar.gz
 5f8f60396b9d43aa30f8ea8dc57ec35e 60366 xfce optional xfce4-diskperf-plugin_2.3.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJNaZPpAAoJEDBVD3hx7wuovQwP/3towoaLNzfcS4gysSsdMJxJ
wrLeci7tQnufecIUx02kAtmZE8HM5oqKb/Z8mN7bEGqq6mGfoF20qE3vosfh3SHC
N40n6FvmDCPxfIb4+569qqRt0zBrlLRX6eB5seD3p14PPGubFSy8C2LfLrJT1zvo
VAaLpZSrYUHuDRg9hf0Wr8dgnicJeF1MvFtHugMdHaCXnwdIOECfhoB/OKMKcHaD
S0ml5SRzA5dtcnWVaTBUY1VcM3iUw0o4plkK2jawUGCgtP5cfqpV+b2SjwVfQm1J
t8F8svMPqyIO9zANzvhM6WHHeOCwrAOzsmL8k7KzIrhwzqfF7qeL7ELE1Mt0IQH5
67Pky6ZwNY6Z1xTul3kTKyvaL3caKH/i7KrD0F3d6SX++/5gKTgxlWGcYngf+TiL
IBfxZb6IVmUHk88dAhQw2cNvfDIUjcZNEDm2jGlifLPA3KZqo4qCpfWnD6VkzoKy
XxQH+L4a/H3Hwr7C9pFSU/Eoppwz9mK7A7Wg/6GiRbYopWjJC5PdM+sz+2X0U4zs
kyDEgIac5AuJqkgRd6/q6qWvTm88SJYaEsHXGJa/gxZ0ufd9fO+dDVFd8gLeUBsp
OuKmfoAe91gLqDwpUkSod80ikwgcM/jhfCrePVESa8IV6r+Ed/8mF/tBsoMeAtFJ
U3gCV9/UJNOjeQRZ4w4Y
=+9w6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 May 2011 07:38:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:14:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.